// @Time    :   2023-10-28 18:25:30
// @FileName:   MVC.h
// @Author  :   423A35C7
// @Software:   VSCode

#ifndef _MVC
#define _MVC

#include "constants.h"


// 在Simple中都是通过全局变量设置的

// 在Multi中，
// 以下的是通过向类传递参数设置的
extern int probability_num; // 每个时刻有1/probability_num的概extern 率来人
extern int speed;           // 每个窗口办理的速度
extern int_ total_time;     // 总时刻数
extern int max_money;       // 最大携带金额
extern int window_num;      // 柜台数量
extern double walk_speed;   // 人的走路速度

// 以下的是通过全局变量设置的
extern int sleep_time; // 每次刷新间隔多少毫秒
extern int base_x;     // 起始位置距离终端上边几个字符的距离
extern int base_y;     // 起始位置距离终端左边几个字符的距离
extern int sep;        // 每个窗口间隔多少距离
extern int gate_x;     // 大门的位置终端上边几个字符的距离
extern int gate_y;     // 大门的位置终端左边几个字符的距离

class Simple;
class Multi;
Status main_simple();
Status main_multi();

#endif